@echo off
if /i exist "%~nx0" color 40 && echo. && echo. && echo. Error^^! Please do not execute this file alone^^! && echo. && echo. Please press any key to exit. && pause>nul && exit

:doFlashBPPart
    REM This is a discriminant for modem image.
    set /A A=0
    if exist radio.img set /A A+=1
    if exist NON-HLOS.bin set /A A+=1
    if exist modem.bin set /A A+=1
    if exist md1img.img set /A A+=1
    if %A% GTR 1 (
        color fc
        echo.
        echo. Fatal Error: Different types Modem image exists at the same time, this is obviously wrong, please check^^!
        exit /b 1
    )
    if %A% EQU 0 (
        color fc
        echo.
        echo. Fatal Error: Modem image does not exist. This is obviously wrong, please check the firmware location path!
        exit /b 1
    )
    REM if %A% EQU 1

    if exist radio.img (
        echo.
        echo. ------ Flashing Radio image ------
        %fastboot% -s %serial_number% flash radio radio.img
        if !errorlevel! NEQ 0 (
            color fc
            echo. ------------------------------
            echo. Fatal Error: fastboot flash radio failed^^!
            echo. ------------------------------
            exit /b 1
        )
    )
    if exist NON-HLOS.bin (
        echo.
        echo. ------ Flashing Modem image ------
        %fastboot% -s %serial_number% flash modem NON-HLOS.bin
        if !errorlevel! NEQ 0 (
            color fc
            echo. ------------------------------
            echo. Fatal Error: fastboot flash modem failed^^!
            echo. ------------------------------
            exit /b 1
        )
    )
    if exist modem.bin (
        echo.
        echo. ------ Flashing Modem image ------
        %fastboot% -s %serial_number% flash modem modem.bin
        if !errorlevel! NEQ 0 (
            color fc
            echo. ------------------------------
            echo. Fatal Error: fastboot flash modem failed^^!
            echo. ------------------------------
            exit /b 1
        )
    )
    if exist md1img.img (
        echo.
        echo. ------ Flashing Md1img image ------
        %fastboot% -s %serial_number% flash md1img md1img.img
        if !errorlevel! NEQ 0 (
            color fc
            echo. ------------------------------
            echo. Fatal Error: fastboot flash md1img failed^^!
            echo. ------------------------------
            exit /b 1
        )
    )

    if "%device_has_fsg%" EQU "1" (
        if exist fsg.mbn (
            echo.
            echo. ------ Flashing FSG image ------
            %fastboot% -s %serial_number% flash fsg fsg.mbn
            if !errorlevel! NEQ 0 (
                color f6
                echo. ------------------------------
                echo. Error: fastboot flash fsg failed^^!
                echo. ------------------------------
            )
        ) else (
            echo.
            echo. Warning: FSG image does not exist, but your device contain this partition, skipping flash...
        )
    )
exit /b 0
