@echo off
@SETLOCAL enabledelayedexpansion
if /i exist "%~nx0" color 40 && echo. && echo. && echo. Error^^! Please do not execute this file alone^^! && echo. && echo. Please press any key to exit. && pause>nul && exit

:runEraseModemst
color f9
@title %title% %version% - Erase Modem Cache [%serial_number%]

    call "%~dp0getPartitionTable.cmd"

    echo.
    echo. ==^> Setting FB mode...
    %fastboot% -s %serial_number% oem fb_mode_set

    if "%device_has_modemst%" EQU "0" (
        echo.
        echo. Note: Your device [%serial_number%] does not have Modemst partitions, skip to erase.
    )
    if "%device_has_nvdata%" EQU "0" (
        echo.
        echo. Note: Your device [%serial_number%] does not have NVData partitions, skip to erase.
    )

    call "%~dp0doEraseModemst.cmd"
    if %errorlevel% NEQ 0 (
        echo.
        echo. Device [%serial_number%] operation failed.
    ) else (
        echo.
        echo. Device [%serial_number%] operation is complete.
    )

    echo.
    echo. ==^> Clean FB mode...
    %fastboot% -s %serial_number% oem fb_mode_clear

    if "%device_count%" NEQ "1" (
        goto :tips
    )

exit /b 0
::
::
:tips
    echo.
    echo. Press any key to exit.
    pause > nul
::
::
:exit
exit
